Bug 1417559 (CVE-2017-5667) - CVE-2017-5667 Qemu: sd: sdhci OOB access during multi block SDMA transfer
Summary: CVE-2017-5667 Qemu: sd: sdhci OOB access during multi block SDMA transfer
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5667
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1417560
Blocks: 1401602
TreeView+ depends on / blocked
 
Reported: 2017-01-30 09:36 UTC by Prasad J Pandit
Modified: 2019-09-29 14:05 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:34 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-01-30 09:36:43 UTC
Quick emulator(Qemu) built with the SDHCI device emulation support is vulnerable
to an OOB heap access issue. It could occur while doing a multi block SDMA
transfer via sdhci_sdma_transfer_multi_blocks routine.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS or potentially execute arbitrary code with privileges of the
Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-01/msg06191.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/30/2

Comment 1 Prasad J Pandit 2017-01-30 09:38:11 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1417560]

Comment 2 Prasad J Pandit 2017-01-30 09:42:18 UTC
Acknowledgments:

Name: Jiang Xin (Huawei PSIRT)


Note You need to log in before you can comment on or make changes to this bug.